--- old/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:49.023869333 -0400
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:49.031534965 -0400
@@ -181,7 +181,6 @@
 static void	segdev_dump(struct seg *);
 static int	segdev_pagelock(struct seg *, caddr_t, size_t,
 		    struct page ***, enum lock_type, enum seg_rw);
-static int	segdev_setpagesize(struct seg *, caddr_t, size_t, uint_t);
 static int	segdev_getmemid(struct seg *, caddr_t, memid_t *);
 
 /*
@@ -208,7 +207,6 @@
 	.advise		= segdev_advise,
 	.dump		= segdev_dump,
 	.pagelock	= segdev_pagelock,
-	.setpagesize	= segdev_setpagesize,
 	.getmemid	= segdev_getmemid,
 };
 
@@ -2474,14 +2472,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segdev_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-    uint_t szc)
-{
-	return (ENOTSUP);
-}
-
 /*
  * devmap_device: Used by devmap framework to establish mapping
  *                called by devmap_seup(9F) during map setup time.
--- old/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:49.372899735 -0400
+++ new/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:49.380265668 -0400
@@ -129,7 +129,6 @@
 	.gettype	= nop,
 	.getvp		= nop,
 	.advise		= nop,
-	.setpagesize	= nop,
 	.getpolicy	= nop,
 #endif
 };
--- old/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:49.585099343 -0400
+++ new/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:49.592557355 -0400
@@ -109,7 +109,6 @@
 static void segspt_shmdump(struct seg *seg);
 static int segspt_shmpagelock(struct seg *, caddr_t, size_t,
 			struct page ***, enum lock_type, enum seg_rw);
-static int segspt_shmsetpgsz(struct seg *, caddr_t, size_t, uint_t);
 static int segspt_shmgetmemid(struct seg *, caddr_t, memid_t *);
 static lgrp_mem_policy_info_t *segspt_shmgetpolicy(struct seg *, caddr_t);
 
@@ -132,7 +131,6 @@
 	.advise		= segspt_shmadvise,
 	.dump		= segspt_shmdump,
 	.pagelock	= segspt_shmpagelock,
-	.setpagesize	= segspt_shmsetpgsz,
 	.getmemid	= segspt_shmgetmemid,
 	.getpolicy	= segspt_shmgetpolicy,
 };
@@ -2958,13 +2956,6 @@
 	/* no-op for ISM segment */
 }
 
-/*ARGSUSED*/
-static faultcode_t
-segspt_shmsetpgsz(struct seg *seg, caddr_t addr, size_t len, uint_t szc)
-{
-	return (ENOTSUP);
-}
-
 /*
  * get a memory ID for an addr in a given segment
  */
--- old/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:49.894187644 -0400
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:49.901512983 -0400
@@ -2006,7 +2006,8 @@
 int
 segop_setpagesize(struct seg *seg, caddr_t addr, size_t len, uint_t szc)
 {
-	VERIFY3P(seg->s_ops->setpagesize, !=, NULL);
+	if (seg->s_ops->setpagesize == NULL)
+		return (ENOTSUP);
 
 	return (seg->s_ops->setpagesize(seg, addr, len, szc));
 }
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:50.160958270 -0400
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:50.168336600 -0400
@@ -482,13 +482,6 @@
 	return (ENOTSUP);
 }
 
-/*ARGSUSED*/
-static int
-segmf_setpagesize(struct seg *seg, caddr_t addr, size_t len, uint_t szc)
-{
-	return (ENOTSUP);
-}
-
 static int
 segmf_getmemid(struct seg *seg, caddr_t addr, memid_t *memid)
 {
@@ -762,6 +755,5 @@
 	.advise		= segmf_advise,
 	.dump		= segmf_dump,
 	.pagelock	= segmf_pagelock,
-	.setpagesize	= segmf_setpagesize,
 	.getmemid	= segmf_getmemid,
 };
--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:50.382672782 -0400
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-05-08 18:04:50.389990483 -0400
@@ -75,8 +75,6 @@
 static void	segnf_dump(struct seg *seg);
 static int	segnf_pagelock(struct seg *seg, caddr_t addr, size_t len,
 		    struct page ***ppp, enum lock_type type, enum seg_rw rw);
-static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-		    uint_t szc);
 
 
 struct seg_ops segnf_ops = {
@@ -102,7 +100,6 @@
 		segnf_nop,
 	.dump		= segnf_dump,
 	.pagelock	= segnf_pagelock,
-	.setpagesize	= segnf_setpagesize,
 };
 
 /*
@@ -455,11 +452,3 @@
 {
 	return (ENOTSUP);
 }
-
-/*ARGSUSED*/
-static int
-segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
-    uint_t szc)
-{
-	return (ENOTSUP);
-}
